/*========== GOOGLE FONTS ==========*/
@import url("https://fonts.googleapis.com/css2?family=Inter:wght@100;200;300;400;500;600;700;800;900&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");

/*========== VARIABLES CSS ==========*/
:root {
  /*===== Colors =====*/
  --soft-white: #fbfaf5;
  --soft-black: #181a18;
  --white: #ffffff;
  --black: #0a0a0a;
  --srun-green: #14ac04;
  --srun-orange: #f59525;
  --sride-blue: #282936;
  --scoopa-purple: #af1d8a;
  --scoopa-purple-l: #ffe9f9;
  --text-grey: #444950;
  --text-grey-d: #495057;
  --safi-red: #fa0000;
  --darkest: #0a0a0a;
  --success: #13ae8f;
  --error: #ff3333;
  --hopeful-blue: #062639;
  --dark-blue: #03030f;
  --dark-midnight-blue: #000204;
  --dead-blue: #03030f;
  --primary-blue: #26a3de;
  --primary-green: #18a87c;
  --shy-green: #daf4ec;
  --shy-blue: #c0e4f5;
  --confident-blue: #68bfe8;
  --soothing-blue: #ecf7fc;
  /*===== Font and typography =====*/
  --body-font-2: "Inter", sans-serif;
  --body-font: "Poppins", sans-serif;
  /* .5rem = 8px, 1rem = 16px, 1.5rem = 24px ... */
  --fs-6: 6rem;
  --fs-5-5: 5.5rem;
  --fs-5: 5rem;
  --fs-4-5: 4.5rem;
  --fs-4: 4rem;
  --fs-3-5: 3.5rem;
  --fs-3: 3rem;
  --fs-2-5: 2.5rem;
  --fs-2: 2rem;
  --fs-1-5: 1.5rem;
  --fs-1: 1rem;
  --fs-0-95: 0.95rem;
  --fs-0-85: 0.85rem;
  --fs-0-75: 0.75rem;
  --fs-0-65: 0.65rem;
  --fs-0-5: 0.5rem;
  --fs-0-25: 0.275rem;
  --fs-0-2: 0.2rem;
  /*===== Font weight =====*/
  --font-medium: 500;
  --font-semi-bold: 600;
  /*===== Margenes Bottom =====*/
  /* .25rem = 4px, .5rem = 8px, .75rem = 12px ... */
  --mb-0-25: 0.25rem;
  --mb-0-5: 0.5rem;
  --mb-0-75: 0.75rem;
  --mb-1: 1rem;
  --mb-1-5: 1.5rem;
  --mb-2: 2rem;
  --mb-2-5: 2.5rem;
  --mb-3: 3rem;
  --mb-3-5: 3rem;
  --mb-4: 4rem;
  --mb-4-5: 4.5rem;
  --mb-5: 5rem;
  --mb-5-5: 5.5rem;
  --mb-6: 6rem;
  --mb-6-5: 6.5rem;
  --mb-7: 7rem;
  --mb-7-5: 7.5rem;
  --mb-8: 8rem;
  --mb-8-5: 8.5rem;
  --mb-9: 9rem;
  --mb-9-5: 9.5rem;
  --mb-10: 10rem;
  --mb-10-5: 10.5rem;
  --mb-11: 11rem;
  --mb-11-5: 11.5rem;
  --mb-12: 12rem;
}

/*========== HEADER SECTION ==========*/
header {
  background: var(--scoopa-purple);
}
nav {
  width: 100%;
  height: auto;
  display: flex;
  justify-content: space-between;
  align-items: center;
  /* border: 1px turquoise solid; */
}

.nav-login {
  color: var(--scoopa-purple);
  background: var(--white);
}

/*========== HEADER SECTION ==========*/
.hero {
  width: 100%;
  height: 100vh;
  margin: 0;
  padding: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: var(--soft-white);
}

.hero-container {
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: var(--mb-4);
  padding-top: 10rem;
  /* border: 1px red solid; */
}

.hero-content {
  flex: 0 0 50%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: flex-start;
  flex-direction: column;
  row-gap: var(--mb-1);
  /* border: 1px teal solid; */
  padding-right: var(--mb-6);
}

.hero-content h1 {
  font-size: var(--fs-3);
  font-weight: 700;
  font-family: var(--body-font);
  letter-spacing: -0.01em;
  line-height: 60px;
}

.hero-content p {
  width: 90%;
  font-size: 1.5rem;
  font-weight: 500;
  font-family: var(--body-font);
  letter-spacing: -0.01em;
}

.hero-content span {
  /* width: 90%; */
  font-size: 1.1rem;
  font-weight: 400;
  font-family: var(--body-font);
  letter-spacing: -0.01em;
  color: var(--scoopa-purple);
}

.hero-btn {
  width: fit-content;
  height: auto;
  padding: var(--mb-0-75) var(--mb-1);
  background: var(--scoopa-purple);
  color: var(--white);
  font-size: 1rem;
  font-weight: 500;
  font-family: var(--body-font);
  letter-spacing: -0.01em;
  text-transform: uppercase;
  border: none;
  outline: none;
  transition: all 0.3s ease;
  cursor: pointer;
  border-radius: 5px;
}

.hero-img {
  flex: 0 0 50%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  /* border: 1px red solid; */
  overflow: hidden;
  /* padding-top: var(--mb-6); */
}

.hero-img img {
  width: 100%;
  height: 450px;
  object-fit: cover;
  display: flex;
  justify-content: center;
  align-items: center;
}

/*========== RS-WHY SECTION ==========*/
.rs-why {
  width: 100%;
  height: auto;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: var(--mb-4) var(--mb-6);
  background: #ffe9f9;
}

.rs-why-container {
  width: 100%;
  height: auto;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  row-gap: var(--mb-2);
}

.rs-why-title {
  width: 100%;
  height: auto;
  /* padding: var(--mb-1); */
  display: flex;
  justify-content: center;
  align-items: center;
  /* border: 1px green solid; */
}

.rs-why-title h3 {
  font-size: var(--fs-2);
  font-weight: 600;
  font-family: var(--body-font);
  letter-spacing: -0.01em;
  color: var(--scoopa-purple);
}

.rs-why-cards {
  width: 100%;
  height: auto;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
  column-gap: var(--mb-2);
  row-gap: var(--mb-1-5);
  /* border: 1px red solid; */
  padding: 0 var(--mb-1);
}

.rsw-card {
  flex: 0 0 30%;
  height: 200px;
  display: flex;
  justify-content: flex-start;
  align-items: flex-start;
  flex-direction: column;
  row-gap: var(--mb-0-5);
  padding: var(--mb-1);
  /* border: 1px #ccc solid; */
}

.rsw-card__title {
  font-size: 1.3rem;
  font-weight: 600;
  font-family: var(--body-font);
  letter-spacing: -0.01em;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  column-gap: var(--mb-1);
}

.rsw-card__title img {
  width: 50px;
  display: flex;
  justify-content: center;
  align-items: center;
  object-fit: cover;
  color: var(--scoopa-purple);
}

.rsw-card p {
  font-size: 1rem;
  font-weight: 400;
  font-family: var(--body-font);
  letter-spacing: -0.01em;
  padding-left: 4rem;
  /* border: 1px yellow solid; */
}

/*========== S-GUIDE SECTION ==========*/
.s-guide {
  width: 100%;
  height: auto;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: var(--mb-4) var(--mb-6);
  background: var(--white);
}

.s-guide-container {
  width: 100%;
  height: auto;
  display: flex;
  justify-content: space-between;
  align-items: center;
  /* border: 1px orange solid; */
}

.sg-card {
  flex: 0 0 24%;
  height: auto;
  padding: var(--mb-1);
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  row-gap: var(--mb-0-5);
}

.sg-card span {
  width: 50px;
  height: 50px;
  font-size: var(--fs-1-5);
  font-weight: 600;
  font-family: var(--body-font);
  letter-spacing: -0.01em;
  background: var(--scoopa-purple);
  color: var(--white);
  display: flex;
  justify-content: center;
  align-items: center;
  padding: var(--mb-0-75) var(--mb-1-5);
  border-radius: 50%;
  cursor: pointer;
  transition: all 0.3s ease;
  margin-bottom: var(--mb-0-5);
}

.sg-card span:hover {
  background: var(--white) !important;
  color: var(--scoopa-purple) !important;
  box-shadow: rgba(0, 0, 0, 0.08) 0px 4px 12px;
}

.active-sg-link {
  background: var(--white) !important;
  color: var(--scoopa-purple) !important;
  box-shadow: rgba(0, 0, 0, 0.08) 0px 4px 12px;
}

.sg-card h3 {
  font-size: 1.5rem;
  font-weight: 600;
  font-family: var(--body-font);
  letter-spacing: -0.01em;
  text-align: center;
}

.sg-card p {
  font-size: 1rem;
  font-weight: 400;
  font-family: var(--body-font);
  letter-spacing: -0.01em;
  text-align: center;
}

/*========== DRIVER SAFETY SECTION ==========*/
.driver-safety {
  width: 100%;
  height: auto;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: var(--mb-4) var(--mb-6) var(--mb-5) var(--mb-6);
  background: #eeeeee;
}

.ds-container {
  width: 100%;
  height: auto;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  row-gap: var(--mb-2);
}

.ds-title {
  width: 100%;
  height: auto;
  /* padding: var(--mb-1); */
  display: flex;
  justify-content: center;
  align-items: center;
  /* border: 1px green solid; */
}

.ds-title h3 {
  font-size: var(--fs-2);
  font-weight: 600;
  font-family: var(--body-font);
  letter-spacing: -0.01em;
  color: var(--scoopa-purple);
}

.ds-cards {
  width: 100%;
  height: auto;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
  column-gap: var(--mb-2);
  row-gap: var(--mb-2-5);
  /* border: 1px red solid; */
  padding: 0 var(--mb-1);
}

.ds-card {
  flex: 0 0 30%;
  height: 200px;
  display: flex;
  justify-content: flex-start;
  align-items: flex-start;
  flex-direction: column;
  row-gap: var(--mb-0-5);
  padding: var(--mb-1);
  /* border: 1px #ccc solid; */
}

.ds-card__title {
  font-size: 1.3rem;
  font-weight: 600;
  font-family: var(--body-font);
  letter-spacing: -0.01em;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  column-gap: var(--mb-1);
}

.ds-card__title img {
  width: 50px;
  display: flex;
  justify-content: center;
  align-items: center;
  object-fit: cover;
  color: var(--scoopa-purple);
}

.ds-card p {
  font-size: 1rem;
  font-weight: 400;
  font-family: var(--body-font);
  letter-spacing: -0.01em;
  padding-left: 4rem;
  /* border: 1px yellow solid; */
}

/* MEDIA QUERY SECTION */
@media screen and (max-width: 480px) {
  /*========== HEADER SECTION ==========*/
  .hero {
    height: auto;
  }

  .hero-container {
    width: 100%;
    height: auto;
    flex-direction: column-reverse;
    /* padding-top: var(--mb-8); */
    padding: 8rem var(--mb-2) var(--mb-2) var(--mb-2);
    row-gap: var(--mb-2-5);
    /* border: 2px teal solid; */
  }

  .hero-img {
    flex: 0 0 auto;
    width: 100%;
    height: 100%;
  }

  .hero-img img {
    width: 100%;
    height: 250px;
  }

  .hero-content {
    flex: 0 0 auto;
    width: 100%;
    align-items: center;
    row-gap: 1.2rem;
    /* border: 1px teal solid; */
    padding: 0;
  }

  .hero-content h1 {
    font-size: var(--fs-2);
    line-height: 45px;
    text-align: center;
  }

  .hero-content p {
    width: 100%;
    font-size: 1.2rem;
    letter-spacing: -0.01em;
    text-align: center;
  }

  .hero-content span {
    width: 100%;
    font-size: 0.98rem;
    font-weight: 400;
    margin: 0;
    text-align: center;
  }

  /*========== RS-WHY SECTION ==========*/
  .rs-why {
    padding: var(--mb-4) var(--mb-2);
  }

  .rs-why-title h3 {
    font-size: var(--fs-1-5);
    text-align: center;
  }

  .rs-why-cards {
    flex-wrap: nowrap;
    flex-direction: column;
    gap: 0;
    row-gap: var(--mb-1-5);
    /* border: 1px red solid; */
    padding: 0;
  }

  .rsw-card {
    flex: 0 0 auto;
    width: 100%;
    height: auto;
    justify-content: center;
    align-items: center;
    padding: var(--mb-1-5);
    /* border: 1px #ccc solid; */
  }

  .rsw-card__title {
    font-size: 1.1rem;
    justify-content: center;
    flex-direction: column;
    gap: 0;
    row-gap: var(--mb-1);
  }

  .rsw-card__title img {
    width: 50px;
  }

  .rsw-card p {
    font-size: 0.98rem;
    padding: 0;
    text-align: center;
    /* border: 1px yellow solid; */
  }

  /*========== S-GUIDE SECTION ==========*/
  .s-guide {
    padding: var(--mb-4) var(--mb-2);
  }

  .s-guide-container {
    width: 100%;
    justify-content: center;
    flex-direction: column;
    row-gap: var(--mb-1-5);
    /* border: 1px orange solid; */
  }

  .sg-card {
    flex: 0 0 auto;
    width: 100%;
  }

  .sg-card span {
    width: 30px;
    height: 30px;
    font-size: var(--fs-1-4);
    padding: var(--mb-1);
    margin-bottom: var(--mb-0-5);
  }

  .sg-card h3 {
    font-size: 1.3rem;
    font-weight: 600;
  }

  .sg-card p {
    font-size: 0.98rem;
    font-weight: 500;
    color: var(--text-grey);
  }

  /*========== DRIVER SAFETY SECTION ==========*/
  .driver-safety {
    padding: var(--mb-4) var(--mb-2);
    background: #eeeeee;
  }

  .ds-title h3 {
    font-size: var(--fs-1-5);
    text-align: center;
  }

  .ds-cards {
    flex-wrap: nowrap;
    flex-direction: column;
    gap: 0;
    row-gap: var(--mb-1-5);
    /* border: 1px red solid; */
    padding: 0;
  }

  .ds-card {
    flex: 0 0 auto;
    width: 100%;
    height: auto;
    justify-content: center;
    align-items: center;
    padding: var(--mb-2);
    /* border: 1px #ccc solid; */
  }

  .ds-card__title {
    font-size: 1.2rem;
    justify-content: center;
    flex-direction: column;
    gap: 0;
    row-gap: var(--mb-1);
    text-align: center;
  }

  .ds-card p {
    font-size: 0.98rem;
    text-align: center;
    padding: 0;
    /* border: 1px yellow solid; */
  }
}
